Bug 507695 - Review Request: python-sqlalchemy0.5 - Modular and flexible ORM library for python
Review Request: python-sqlalchemy0.5 - Modular and flexible ORM library for p...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 507697
  Show dependency treegraph
 
Reported: 2009-06-23 15:44 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-sqlalchemy0.5-0.5.5-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 16:39:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
a.badger: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2009-06-23 15:44:35 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-sqlalchemy0.5.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-sqlalchemy0.5-0.5.3-1.fc10.src.rpm
Description:
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.
Comment 1 Luke Macken 2009-06-23 15:45:28 EDT
This package is for the 0.5 release of SQLAlchemy, packaged to work alongside of python-sqlalchemy (0.4) on Fedora 11 and below.
Comment 2 Parag AN(पराग) 2009-06-24 03:25:32 EDT
aah! I got confused here http://koji.fedoraproject.org/koji/packageinfo?packageID=3643

What is need of this package in F11 and below? I see python-sqlalchemy-0.5.4-1.p2.fc11 as latest package in F-11

I think this package will not be needed then.
Comment 3 Toshio Ernie Kuratomi 2009-06-24 22:53:11 EDT
Correct.  This package is needed for EPEL4/5.  It could be used on F-10 as well although I don't know if lmacken plans on branching it there.  Fedora Community needs to have sqlalchemy-0.5.x in order to run so getting it running on an EL-5 box depends on having this package.
Comment 4 Parag AN(पराग) 2009-06-25 06:05:37 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1432964
+ source files match upstream url
0a4f50b690ae946c3188614eeea6f1e5f02681d9  SQLAlchemy-0.5.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI application

I don't get why all .py* files installed under /usr/lib/python2.6/site-packages/SQLAlchemy-0.5.3-py2.6.egg ?

Why rpmlint is complaining script-without-shebang error with this package whereas I don't see such rpmlint messages in rawhide package?

why following is added to SPEC ?
BuildRequires:  python-sqlite2
Comment 5 Parag AN(पराग) 2009-07-01 02:20:09 EDT
ping?
Comment 6 Parag AN(पराग) 2009-07-05 23:56:20 EDT
I will close this review within this week as submitter is non-responsive.
Comment 7 Luke Macken 2009-07-10 14:31:52 EDT
The .py files are installed under /usr/lib/python2.6/site-packages/SQLAlchemy-0.5.3-py2.6.egg because it needs to work alongside python-sqlalchemy.  See our egg guidelines for more details:  http://fedoraproject.org/wiki/Packaging/Python/Eggs

The BuildRequires: python-sqlite2 is for the test suite.

http://lmacken.fedorapeople.org/rpms/python-sqlalchemy0.5-0.5.3-2.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-sqlalchemy0.5.spec

* Fri Jul 10 2009 Luke Macken <lmacken@redhat.com> - 0.5.3-2
- Remove the executable bit from *.py
Comment 8 Jason Tibbitts 2009-07-11 02:03:36 EDT
Umm, you're supposed to give him a month to reply, then ping, then close after a week.  You didn't even give Luke a full week before your first ping, and now I see you've dropped the other tickets in the dependency chain back into the review queue.  Is there some problem?
Comment 9 Parag AN(पराग) 2009-07-11 02:22:05 EDT
I think Luke is very busy with his security work. I almost ping him daily on #fedora-devel and #fedora-python. But very few times I got reply like he will be going to work. So I thought instead of pinging him again and again I better move on and pick some other reviews. And if I am dropping first package in chain then it will be good to drop others also. As first package itself will take some more time to appear in rawhide repository.


I hope there is no policy that prevents reviewer from leaving review at any point. If there is any please point me.
Comment 10 Jason Tibbitts 2009-07-11 02:31:09 EDT
Of course you're welcome to drop reviews at any time if you feel like you can't stick with it and wait a while for a busy person to respond.  That just means that I or one of the other few reviewers will have to take care of them.
Comment 11 Parag AN(पराग) 2009-07-11 02:47:09 EDT
and hey! I have not closed this review. Just moved back to New queue. Don't worry I will pick some more reviews to look queue count lower for you. I know you are very much worried about New Package Count. And if you are really, I will say first we should try to do something for Merge-reviews.

I also see we have not very good but good amount of reviewers nowadays. I also know you got busy with fedora-cvs work that is not giving you much time on reviews.
Comment 12 Toshio Ernie Kuratomi 2009-07-15 04:15:16 EDT
This looks good.  All of Parag AN's comments have been addressed.  I see a problem that comes from the guidelines, though:

%{python_sitelib}/easy_install.pth will conflict when there's more than one compat package installed on the system.  With F11's version of setuptools, there doesn't seem to be a reason to touch easy_install.pth in the first place.  If you're going to build this package for EL-5/EL-4 could you test build it there with the touch %{buildroot}%{python_sitelib}/easy_install.pth removed and see if we can just remove that?
Comment 13 Luke Macken 2009-08-12 09:54:53 EDT
I did a little bit of testing after removing the easy-install.pth file, and this package still seems to work (after running pkg_resources.require("SQLAlchemy>0.5"), of course).

http://lmacken.fedorapeople.org/rpms/python-sqlalchemy0.5-0.5.3-2.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-sqlalchemy0.5.spec

* Wed Aug 12 2009 Luke Macken <lmacken@redhat.com> - 0.5.3-3
- Remove conflicting easy-install.pth file from our site-packages
Comment 14 Toshio Ernie Kuratomi 2009-08-12 18:22:57 EDT
I think you mean this SRPM:
http://lmacken.fedorapeople.org/rpms/python-sqlalchemy0.5-0.5.3-3.fc11.src.rpm

Checking it now.
Comment 15 Toshio Ernie Kuratomi 2009-08-12 18:44:52 EDT
easy_install.pth no longer conflicts.  Package builds in koji.

Two problems that you can fix when you import the package:

There's a new version sqlalchemy-0.5.5 that you might want to update to before pushing this to EPEL for the first time.  0.5.5 contains a rarely used API breaking change so getting it into the first release will make sure that no one is depending on the old behaviour if you need to update later.

The egg info files are executable.  I believe this is a bug in python-setuptools that I submitted a patch for and was fixed for Fedora but it's still plaguing the RHEL5 version of setuptools.  You can probably change your chmod line like this:

- find $RPM_BUILD_ROOT%{python_sitelib} -name '*.py' | xargs chmod -x
+ chmod -R a-X $RPM_BUILD_ROOT%{python_sitelib}

Since there shouldn't be any scripts under %{python_sitelib}.

Provided you make those two changes when you import, this package is APPROVED.
Comment 16 Luke Macken 2009-08-13 12:42:04 EDT
New Package CVS Request
=======================
Package Name: python-sqlalchemy0.5
Short Description: Modular and flexible ORM library for python
Owners: lmacken, toshio
Branches: F-10 EL-5
Comment 17 Jason Tibbitts 2009-08-14 12:16:58 EDT
CVS done.
Comment 18 Luke Macken 2009-08-15 05:31:24 EDT
Hmm, with that chmod usage I'm getting error.  I'm not sure if it's something messed up with my environment.  The original version still works for me.

+ chmod -R a-X /home/lmacken/rpmbuild/BUILDROOT/python-sqlalchemy0.5-0.5.3-4.fc11.x86_64/usr/lib/python2.6/site-packages
chmod: cannot access `/home/lmacken/rpmbuild/BUILDROOT/python-sqlalchemy0.5-0.5.3-4.fc11.x86_64/usr/lib/python2.6/site-packages/SQLAlchemy-0.5.3-py2.6.egg': Permission denied
Comment 19 Luke Macken 2009-08-15 05:34:40 EDT
Also, the nosetest changes don't work with this package.  The old %check still works.
Comment 20 Toshio Ernie Kuratomi 2009-08-15 11:58:31 EDT
(In reply to comment #18)
> Hmm, with that chmod usage I'm getting error.  I'm not sure if it's something
> messed up with my environment.  The original version still works for me.
> 
I'm a dummy and reversed what "X" does in chmod but we resolved this on IRC using find -type f

The nosetest changes worked when updated to sqlalchemy-0.5.5.
Comment 21 Fedora Update System 2009-08-15 13:38:25 EDT
python-sqlalchemy0.5-0.5.5-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-sqlalchemy0.5-0.5.5-1.el5
Comment 22 Fedora Update System 2009-08-15 13:38:30 EDT
python-sqlalchemy0.5-0.5.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-sqlalchemy0.5-0.5.5-1.fc10
Comment 23 Fedora Update System 2009-08-17 17:57:39 EDT
python-sqlalchemy0.5-0.5.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-sqlalchemy0.5'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8675
Comment 24 Fedora Update System 2009-08-17 20:22:34 EDT
python-sqlalchemy0.5-0.5.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-sqlalchemy0.5'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0282
Comment 25 Fedora Update System 2009-09-06 16:39:23 EDT
python-sqlalchemy0.5-0.5.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2010-03-17 15:13:34 EDT
python-sqlalchemy0.5-0.5.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.